task Xorg:1042 blocked for more than 120 seconds in schedule+0x37/0x80

Bug #1540553 reported by bp on 2016-02-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xorg (Ubuntu)
Medium
Unassigned

Bug Description

Since system updates on or after Thursday 28th, I have been experiencing complete system freezes when attempting to do tasks such as opening a menu or a window. Compiz manages to draw a shadow around the new window, then everything freezes:

* You can SSH into the machine normally
* Audio and network work fine
* You can move the mouse cursor around
* SysRq-REISUB works

Everything else doesn't:

* Clicking
* Typing
* Ctrl-Alt-Fn
* Ctrl-Alt-Backspace (after having enabled it)
* Killing Xorg
* Occasionally, killing lightdm/compiz/etc.

This has happened both with Unity and Cinnamon, so compiz and friends are not to blame.

Xorg.org complains it is the victim:

(EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
(EE) [mi] mieq is *NOT* the cause. It is a victim.
(EE) [mi] EQ overflow continuing. 100 events have been dropped.
[...]
(EE) [mi] EQ overflow continuing. 1000 events have been dropped.
(EE) [mi] No further overflow reports will be reported until the clog is cleared.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x4e) [0x55b72ecb868e]
(EE) 1: /usr/bin/X (QueuePointerEvents+0x52) [0x55b72eb74152]
(EE) 2: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f2a73a45000+0x60a7) [0x7f2a73a4b0a7]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7f2a73a45000+0x687d) [0x7f2a73a4b87d]
(EE) 4: /usr/bin/X (0x55b72eb04000+0x96ac8) [0x55b72eb9aac8]
(EE) 5: /usr/bin/X (0x55b72eb04000+0xbfc92) [0x55b72ebc3c92]
(EE) 6: /lib/x86_64-linux-gnu/libc.so.6 (0x7f2a7777e000+0x352f0) [0x7f2a777b32f0]
(EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x7) [0x7f2a7787b0b7]
(EE) 8: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28) [0x7f2a78b62a08]
(EE) 9: /usr/lib/x86_64-linux-gnu/libdrm_intel.so.1 (0x7f2a71f55000+0x6736) [0x7f2a71f5b736]
(EE) 10: /usr/lib/x86_64-linux-gnu/dri/i965_dri.so (0x7f2a72176000+0x4173f1) [0x7f2a7258d3f1]
(EE) 11: /usr/lib/x86_64-linux-gnu/dri/i965_dri.so (0x7f2a72176000+0x417763) [0x7f2a7258d763]
(EE) 12: /usr/lib/x86_64-linux-gnu/dri/i965_dri.so (0x7f2a72176000+0x148597) [0x7f2a722be597]
(EE) 13: /usr/lib/x86_64-linux-gnu/dri/i965_dri.so (0x7f2a72176000+0x148803) [0x7f2a722be803]
(EE) 14: /usr/lib/x86_64-linux-gnu/dri/i965_dri.so (0x7f2a72176000+0x148c38) [0x7f2a722bec38]
(EE) 15: /usr/lib/xorg/modules/libglamoregl.so (0x7f2a7347d000+0x20d20) [0x7f2a7349dd20]
(EE) 16: /usr/lib/xorg/modules/libglamoregl.so (0x7f2a7347d000+0x20ed2) [0x7f2a7349ded2]
(EE) 17: /usr/lib/xorg/modules/libglamoregl.so (0x7f2a7347d000+0x1181d) [0x7f2a7348e81d]
(EE) 18: /usr/lib/xorg/modules/libglamoregl.so (0x7f2a7347d000+0x1191a) [0x7f2a7348e91a]
(EE) 19: /usr/bin/X (0x55b72eb04000+0x13fbb3) [0x55b72ec43bb3]
(EE) 20: /usr/bin/X (0x55b72eb04000+0x54ce3) [0x55b72eb58ce3]
(EE) 21: /usr/bin/X (0x55b72eb04000+0x5818f) [0x55b72eb5c18f]
(EE) 22: /usr/bin/X (0x55b72eb04000+0x5c34b) [0x55b72eb6034b]
(EE) 23: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf0) [0x7f2a7779ea40]
(EE) 24: /usr/bin/X (_start+0x29) [0x55b72eb4a6c9]

All the kernel knows is XOrg isn't responding. Not even kill -9 will make it budge.

[ 7316.307467] INFO: task Xorg:1042 blocked for more than 120 seconds.
[ 7316.307481] Not tainted 4.2.0-27-generic #32-Ubuntu
[ 7316.307484] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 7316.307488] Xorg D ffff88021e516640 0 1042 1 0x00400006
[ 7316.307497] ffff88020ef07698 0000000000000046 ffff880214a73700 ffff880211c46e00
[ 7316.307504] ffff88020ef07728 ffff88020ef08000 ffff88021e516640 7fffffffffffffff
[ 7316.307509] ffff88020fad1f28 0000000000000000 ffff88020ef076b8 ffffffff817edc37
[ 7316.307515] Call Trace:
[ 7316.307530] [<ffffffff817edc37>] schedule+0x37/0x80
[ 7316.307538] [<ffffffff817f0cd9>] schedule_timeout+0x189/0x250
[ 7316.307592] [<ffffffffc0229719>] ? gen6_read32+0xd9/0x180 [i915]
[ 7316.307601] [<ffffffff8101dcc9>] ? read_tsc+0x9/0x10
[ 7316.307613] [<ffffffff817ed244>] io_schedule_timeout+0xa4/0x110
[ 7316.307647] [<ffffffffc0201924>] __i915_wait_request+0x404/0x540 [i915]
[ 7316.307653] [<ffffffff810bd760>] ? wake_atomic_t_function+0x60/0x60
[ 7316.307661] [<ffffffff817ef814>] ? __ww_mutex_lock_slowpath+0x74/0x1d0
[ 7316.307696] [<ffffffffc0202623>] i915_wait_request+0x73/0xe0 [i915]
[ 7316.307724] [<ffffffffc02026fd>] i915_gem_object_wait_rendering+0x6d/0xc0 [i915]
[ 7316.307731] [<ffffffff817efb46>] ? mutex_lock+0x16/0x40
[ 7316.307775] [<ffffffffc024497a>] intel_crtc_wait_for_pending_flips+0x12a/0x230 [i915]
[ 7316.307817] [<ffffffffc00a3492>] ? drm_atomic_get_plane_state+0x32/0xe0 [drm]
[ 7316.307859] [<ffffffffc0245de2>] intel_crtc_disable_planes+0x32/0x100 [i915]
[ 7316.307901] [<ffffffffc0246e62>] __intel_set_mode+0x942/0xb60 [i915]
[ 7316.307935] [<ffffffffc00a43e0>] ? drm_atomic_set_fb_for_plane+0x20/0x90 [drm]
[ 7316.307976] [<ffffffffc024dba6>] intel_crtc_set_config+0x2b6/0x580 [i915]
[ 7316.308008] [<ffffffffc00a2bf0>] ? drm_modeset_lock_all_crtcs+0x90/0xa0 [drm]
[ 7316.308037] [<ffffffffc00934a6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[ 7316.308061] [<ffffffffc00936ba>] drm_framebuffer_remove+0xfa/0x140 [drm]
[ 7316.308087] [<ffffffffc009826d>] drm_fb_release+0x9d/0xd0 [drm]
[ 7316.308103] [<ffffffffc0086ea4>] drm_release+0x424/0x500 [drm]
[ 7316.308110] [<ffffffff811ff674>] __fput+0xe4/0x220
[ 7316.308116] [<ffffffff811ff7fe>] ____fput+0xe/0x10
[ 7316.308122] [<ffffffff810991d3>] task_work_run+0x73/0x90
[ 7316.308126] [<ffffffff8107e170>] do_exit+0x3a0/0xb10
[ 7316.308131] [<ffffffff8107e973>] do_group_exit+0x43/0xb0
[ 7316.308136] [<ffffffff8108aa84>] get_signal+0x274/0x600
[ 7316.308145] [<ffffffff81014457>] do_signal+0x37/0xa40
[ 7316.308152] [<ffffffff812110b5>] ? do_vfs_ioctl+0x295/0x480
[ 7316.308158] [<ffffffff810216dd>] ? fpu__restore_sig+0x4d/0x60
[ 7316.308165] [<ffffffff81014ebb>] do_notify_resume+0x5b/0x70
[ 7316.308170] [<ffffffff817f1e44>] int_signal+0x12/0x17

The only things I know about reproducing is:

* It happens after 5pm
* It most often appens immediately after a right click
* Somehow, apt-get remove xserver-xorg-video-intel:amd64 was a no-op
* It started happening after this set of updates:

Start-Date: 2016-01-28 12:16:11
Upgrade: initscripts:amd64 (2.88dsf-59.2ubuntu2, 2.88dsf-59.2ubuntu2.1), oxideqt-codecs:amd64 (1.11.4-0ubuntu0.15.10.1, 1.12.5-0ubuntu0.15.10.1), mysql-client-core-5.6:amd64 (5.6.27-0ubuntu1, 5.6.28-0ubuntu0.15.10.1), mysql-client:amd64 (5.6.27-0ubuntu1, 5.6.28-0ubuntu0.15.10.1), google-chrome-stable:amd64 (48.0.2564.82-1, 48.0.2564.97-1), thunderbird-locale-en-us:amd64 (43.0~b1+build1-0ubuntu0.15.10.1, 44.0~b1+build1-0ubuntu0.15.10.1), thunderbird:amd64 (43.0~b1+build1-0ubuntu0.15.10.1, 44.0~b1+build1-0ubuntu0.15.10.1), firefox:amd64 (43.0.4+build3-0ubuntu0.15.10.1, 44.0+build3-0ubuntu0.15.10.1), ubuntu-release-upgrader-gtk:amd64 (15.10.14.2, 15.10.14.3), libpam-systemd:amd64 (225-1ubuntu9, 225-1ubuntu9.1), udev:amd64 (225-1ubuntu9, 225-1ubuntu9.1), curl:amd64 (7.43.0-1ubuntu2, 7.43.0-1ubuntu2.1), thunderbird-locale-en:amd64 (43.0~b1+build1-0ubuntu0.15.10.1, 44.0~b1+build1-0ubuntu0.15.10.1), mysql-client-5.6:amd64 (5.6.27-0ubuntu1, 5.6.28-0ubuntu0.15.10.1), liboxideqtcore0:amd64 (1.11.4-0ubuntu0.15.10.1, 1.12.5-0ubuntu0.15.10.1), libudev1:amd64 (225-1ubuntu9, 225-1ubuntu9.1), mysql-common:amd64 (5.6.27-0ubuntu1, 5.6.28-0ubuntu0.15.10.1), thunderbird-gnome-support:amd64 (43.0~b1+build1-0ubuntu0.15.10.1, 44.0~b1+build1-0ubuntu0.15.10.1), systemd-sysv:amd64 (225-1ubuntu9, 225-1ubuntu9.1), libmysqlclient18:amd64 (5.6.27-0ubuntu1, 5.6.28-0ubuntu0.15.10.1), sysv-rc:amd64 (2.88dsf-59.2ubuntu2, 2.88dsf-59.2ubuntu2.1), python3-distupgrade:amd64 (15.10.14.2, 15.10.14.3), systemd:amd64 (225-1ubuntu9, 225-1ubuntu9.1), libcurl3:amd64 (7.43.0-1ubuntu2, 7.43.0-1ubuntu2.1), lightdm:amd64 (1.16.6-0ubuntu1, 1.16.7-0ubuntu1), liboxideqtquick0:amd64 (1.11.4-0ubuntu0.15.10.1, 1.12.5-0ubuntu0.15.10.1), sysvinit-utils:amd64 (2.88dsf-59.2ubuntu2, 2.88dsf-59.2ubuntu2.1), liboxideqt-qmlplugin:amd64 (1.11.4-0ubuntu0.15.10.1, 1.12.5-0ubuntu0.15.10.1), liblightdm-gobject-1-0:amd64 (1.16.6-0ubuntu1, 1.16.7-0ubuntu1), libsystemd0:amd64 (225-1ubuntu9, 225-1ubuntu9.1), ubuntu-release-upgrader-core:amd64 (15.10.14.2, 15.10.14.3), thunderbird-locale-en-gb:amd64 (43.0~b1+build1-0ubuntu0.15.10.1, 44.0~b1+build1-0ubuntu0.15.10.1), libcurl3-gnutls:amd64 (7.43.0-1ubuntu2, 7.43.0-1ubuntu2.1)
End-Date: 2016-01-28 12:18:59

This did not help:

Start-Date: 2016-01-29 18:48:43
Downgrade: lightdm:amd64 (1.16.7-0ubuntu1, 1.16.6-0ubuntu1), liblightdm-gobject-1-0:amd64 (1.16.7-0ubuntu1, 1.16.6-0ubuntu1)
End-Date: 2016-01-29 18:48:48

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: Xorg 1:7.7+7ubuntu4
ProcVersionSignature: Ubuntu 4.2.0-27.32-generic 4.2.8-ckt1
Uname: Linux 4.2.0-27-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Mon Feb 1 20:31:11 2016
DistUpgraded: Fresh install
DistroCodename: wily
DistroVariant: ubuntu
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:062d]
InstallationDate: Installed on 2015-11-02 (91 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: Dell Inc. Latitude E7250
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.2.0-27-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
SourcePackage: xorg
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/01/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A07
dmi.board.name: 0V8RX3
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA07:bd09/01/2015:svnDellInc.:pnLatitudeE7250:pvr:rvnDellInc.:rn0V8RX3:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E7250
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.12.2+15.10.20151202-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.64-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.0.2-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.0.2-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.17.2-1ubuntu9.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0+git20150819-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu3

bp (badpazzword) wrote :
tags: added: bios-outdated-a09
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
bp (badpazzword) wrote :

Sorry for the long response time.

I proceeded to upgrade my laptop to version A09, rebooted, launched Chrome, and X froze immediately as described above. :)

bp (badpazzword) wrote :

Thank you for your patience.

sudo dmidecode -s bios-version: A09
sudo dmidecode -s bios-release-date: 11/18/2015

Changed in xorg (Ubuntu):
status: Incomplete → New
tags: added: latest-bios-a09
removed: bios-outdated-a09

bp, to see if this is already resolved, could you please test http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

Changed in xorg (Ubuntu):
importance: Low → Medium
status: New → Incomplete
bp (badpazzword) wrote :

I am currently running a 16.04 live environment, and I'm slowly trying to reproduce my usual working environment. However I must note that the live environment is 32-bit, so the test may be inconclusive.

So far I have been unable to reproduce the issue.

bp (badpazzword) wrote :

I tried today from a live Ubuntu 16.04 environment for a shorter amount of time, this time with the right bitness and Chrome version 50. I still cannot reproduce the issue.

I noticed that this issue is most easily reproduced when I try and launch Chrome as soon as possible after booting up. This is difficult to reproduce on a live environment as I have to first download and install the package.

Launchpad Janitor (janitor) wrote :

[Expired for xorg (Ubuntu) because there has been no activity for 60 days.]

Changed in xorg (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers